Draft WireToBSpline/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/cs|Name=Draft_WireToBSpline|Name/cs=Kreslení Drát do B-křivky|Workbenches=Kreslení, Architektura|MenuLocation=Kreslení...")
(Created page with "==Popis==")
Line 1: Line 1:
{{GuiCommand/cs|Name=Draft_WireToBSpline|Name/cs=Kreslení Drát do B-křivky|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Drát do B-křivky}}
{{GuiCommand/cs|Name=Draft_WireToBSpline|Name/cs=Kreslení Drát do B-křivky|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Drát do B-křivky}}


==Description==
==Popis==


This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.

Revision as of 18:06, 3 March 2014

Kreslení Drát do B-křivky

Umístění Menu
Kreslení -> Drát do B-křivky
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)